diff --git a/tests/scripts/checkpo.sh b/tests/scripts/checkpo.sh
index c44a9396d00ccd48f0117e718ef781cc9dba30df..7e29b3f820793ffecc65992a4a3ca891cadd600e 100755
--- a/tests/scripts/checkpo.sh
+++ b/tests/scripts/checkpo.sh
@@ -22,7 +22,7 @@ DIRS="\
   installer/resources/locale/po \
   debian/po"
 
-for i in `find $DIRS -maxdepth 1 -type f -name *.po`
+for i in `find $DIRS -maxdepth 1 -type f -name \*.po`
 do
 	echo "Checking $i ..."
 	msgfmt -c $i -o /dev/null
diff --git a/tests/scripts/checkutf8.sh b/tests/scripts/checkutf8.sh
index 9cf37f05b43722b49c3f771fb8cd7f4b2a70c3ab..cc99a569fa9832286c37804a50300b5d19b8f05f 100755
--- a/tests/scripts/checkutf8.sh
+++ b/tests/scripts/checkutf8.sh
@@ -54,6 +54,18 @@ do
 	fi
 done
 
+echo "Checking getopt properties files ..."
+for i in `find core/java/src/gnu/getopt -name \*.properties -type f`
+do
+	#echo "Checking $i ..."
+	iconv -f UTF8 -t UTF8 $i -o /dev/null
+        if [ $? -ne 0 ]
+	then
+		echo "********* FAILED CHECK FOR $i *************"
+		FAIL=1
+	fi
+done
+
 if [ "$FAIL" != "" ]
 then
 	echo "******** At least one file failed check *********"